server:
  port: 8010

spring:
  application:
    name: gateway
  cloud:
    gateway:
      enabled: true
      routes:
        - id: admin
          uri: http://127.0.0.1:8091
          predicates:
            - Path=/admin/**
          filters:
            - StripPrefix=1
        - id: video
          uri: http://127.0.0.1:8096
          predicates:
            - Path=/video/**
          filters:
            - StripPrefix=1
        - id: produce
          uri: http://127.0.0.1:8094
          predicates:
            - Path=/produce/**
          filters:
            - StripPrefix=1
        - id: env
          uri: http://127.0.0.1:8093
          predicates:
            - Path=/env/**
          filters:
            - StripPrefix=1
        - id: receiver
          uri: http://127.0.0.1:8098
          predicates:
            - Path=/receiver/**
          filters:
            - StripPrefix=1
        - id: eartag
          uri: http://127.0.0.1:8099
          predicates:
            - Path=/eartag/**
          filters:
            - StripPrefix=1


logging:
  level:
    org.springframework.cloud.gateway: debug  # Gateway调试模式


